NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::FitSurfaceBuilder Class Reference

This class will provide the ability to fit surfaces through facet bodies or point sets/groups. More...

Inheritance diagram for NXOpen::Features::FitSurfaceBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  DirectionType { DirectionTypeBestFit, DirectionTypeVector, DirectionTypeOrientation, DirectionTypeCsys }
 Direction method provides the ability to specify the projection direction and orientation. More...
 
enum  TargetType { TargetTypeObject, TargetTypeColorRegion }
 Target type provides the ability to specify a object or a color coded region as the target. More...
 
enum  Types {
  TypesFitfreeform, TypesFitplane, TypesFitsphere, TypesFitcylinder,
  TypesFitcone
}
 Fit Surface creation types. More...
 

Public Member Functions

NXOpen::ExpressionAngleValue ()
 Returns the angle is fixed to a specific value
Created in NX8.5.0. More...
 
NXOpen::CoordinateSystemCoordinateSystem ()
 Returns the coordinate system
Created in NX8.5.0. More...
 
NXOpen::Features::FitSurfaceBuilder::DirectionType DirectionOption ()
 Returns the direction option
Created in NX8.5.0. More...
 
void EditCSYS (const NXOpen::Point3d &originCsys, const NXOpen::Matrix3x3 &matCsys)
 The edit CSYS for Orientation option
Created in NX8.5.0. More...
 
bool IsAutomatic ()
 Returns the automatic point rejection
Created in NX8.5.0. More...
 
bool IsBoundary ()
 Returns the boundary will limit or extend to the boundaries
Created in NX8.5.0. More...
 
bool IsClosed ()
 Returns the closed or open surface
Created in NX8.5.0. More...
 
bool IsConstrained ()
 Returns the constraint option
Created in NX8.5.0. More...
 
bool IsHalfAngle ()
 Returns the half angle option
Created in NX8.5.0. More...
 
bool IsMultipleFeatures ()
 Returns the creation of multiple features or single feature
Created in NX10.0.0. More...
 
bool IsRadius ()
 Returns the radius option
Created in NX8.5.0. More...
 
bool IsUniformU ()
 Returns the uniform pathches in U
Created in NX8.5.0. More...
 
bool IsUniformV ()
 Returns the uniform patches in V
Created in NX8.5.0. More...
 
NXOpen::GeometricUtilities::DegreesAndSegmentsOrPatchesBuilderParameterization ()
 Returns the parameterization
Created in NX8.5.0. More...
 
NXOpen::PointPoint1 ()
 Returns the first point of the boundary
Created in NX8.5.0. More...
 
NXOpen::PointPoint2 ()
 Returns the second point of the boundary
Created in NX8.5.0. More...
 
NXOpen::PointPoint3 ()
 Returns the third point of the boundary
Created in NX8.5.0. More...
 
NXOpen::PointPoint4 ()
 Returns the fourth point of the boundary
Created in NX8.5.0. More...
 
NXOpen::ExpressionRadiusValue ()
 Returns the radius is fixed to a specific value
Created in NX8.5.0. More...
 
NXOpen::ExpressionRejectionThresholdValue ()
 Returns the rejection threshold value
Created in NX8.5.0. More...
 
void SetAutomatic (bool isAutomatic)
 Sets the automatic point rejection
Created in NX8.5.0. More...
 
void SetBoundary (bool isBoundary)
 Sets the boundary will limit or extend to the boundaries
Created in NX8.5.0. More...
 
void SetClosed (bool isClosed)
 Sets the closed or open surface
Created in NX8.5.0. More...
 
void SetConstrained (bool isConstrained)
 Sets the constraint option
Created in NX8.5.0. More...
 
void SetCoordinateSystem (NXOpen::CoordinateSystem *coordSystem)
 Sets the coordinate system
Created in NX8.5.0. More...
 
void SetDirectionOption (NXOpen::Features::FitSurfaceBuilder::DirectionType directionOption)
 Sets the direction option
Created in NX8.5.0. More...
 
void SetHalfAngle (bool isHalfAngle)
 Sets the half angle option
Created in NX8.5.0. More...
 
void SetMultipleFeatures (bool isMultiFeature)
 Sets the creation of multiple features or single feature
Created in NX10.0.0. More...
 
void SetPoint1 (NXOpen::Point *point1)
 Sets the first point of the boundary
Created in NX8.5.0. More...
 
void SetPoint2 (NXOpen::Point *point)
 Sets the second point of the boundary
Created in NX8.5.0. More...
 
void SetPoint3 (NXOpen::Point *point)
 Sets the third point of the boundary
Created in NX8.5.0. More...
 
void SetPoint4 (NXOpen::Point *point)
 Sets the fourth point of the boundary
Created in NX8.5.0. More...
 
void SetRadius (bool isRadius)
 Sets the radius option
Created in NX8.5.0. More...
 
void SetSmoothFactor (int smoothFactor)
 Sets the smooth factor influences the smoothness of the surface
Created in NX8.5.0. More...
 
void SetTargetOption (NXOpen::Features::FitSurfaceBuilder::TargetType targetOption)
 Sets the target option
Created in NX10.0.0. More...
 
void SetType (NXOpen::Features::FitSurfaceBuilder::Types type)
 Sets the type
Created in NX8.5.0. More...
 
void SetUniformU (bool isUniform)
 Sets the uniform pathches in U
Created in NX8.5.0. More...
 
void SetUniformV (bool isUniform)
 Sets the uniform patches in V
Created in NX8.5.0. More...
 
void SetVector (NXOpen::Direction *vector)
 Sets the vector specifies the projection direction
Created in NX8.5.0. More...
 
void SetVectorConstraint (NXOpen::Direction *vector)
 Sets the direction constraint
Created in NX8.5.0. More...
 
int SmoothFactor ()
 Returns the smooth factor influences the smoothness of the surface
Created in NX8.5.0. More...
 
NXOpen::SelectNXObjectTargetObject ()
 Returns the target object to which the face is fitted to can be a facet body, a convergent object, a point set or a point group
More...
 
NXOpen::SelectNXObjectListTargetObjects ()
 Returns the target objects to which the face is fitted to can be a facet body, a point set or a point group
Created in NX10.0.0. More...
 
NXOpen::Features::FitSurfaceBuilder::TargetType TargetOption ()
 Returns the target option
Created in NX10.0.0. More...
 
NXOpen::GeometricUtilities::ColorCodedRegionBuilderTargetRegion ()
 Returns the target regions which is a color coded region
Created in NX10.0.0. More...
 
NXOpen::Features::FitSurfaceBuilder::Types Type ()
 Returns the type
Created in NX8.5.0. More...
 
NXOpen::DirectionVector ()
 Returns the vector specifies the projection direction
Created in NX8.5.0. More...
 
NXOpen::DirectionVectorConstraint ()
 Returns the direction constraint
Created in NX8.5.0. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

This class will provide the ability to fit surfaces through facet bodies or point sets/groups.


To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateFitSurfaceBuilder
Default values.

Property Value

AngleValue.Value

30

DirectionOption

BestFit

IsAutomatic

0

IsBoundary

0

IsClosed

1

IsConstrained

0

IsHalfAngle

0

IsMultipleFeatures

0

IsRadius

0

IsUniformU

0

IsUniformV

0

Parameterization.Degree

3

Parameterization.SegmentsOrPatches

1

Parameterization.UDegree

5

Parameterization.UPatches

1

Parameterization.VDegree

5

Parameterization.VPatches

1

RadiusValue.Value

50 (millimeters part), 2 (inches part)

RejectionThresholdValue.Value

10 (millimeters part), 0.5 (inches part)

SmoothFactor

0

TargetOption

Object

TargetRegion.AllSameColor

0


Created in NX8.5.0.

Member Enumeration Documentation

Direction method provides the ability to specify the projection direction and orientation.

Enumerator
DirectionTypeBestFit 

The fit target is sort of rectangular.

DirectionTypeVector 

Vector will specify the fit direction.

DirectionTypeOrientation 

Orientation will specify the direction and U/V orientation.

DirectionTypeCsys 

CSYS will specify same as orientation but with the need to make it associative with existing geometry.

Target type provides the ability to specify a object or a color coded region as the target.

Enumerator
TargetTypeObject 

This option will select the entire object.

TargetTypeColorRegion 

color region

Fit Surface creation types.

Enumerator
TypesFitfreeform 

Fit Freeform.

TypesFitplane 

Fit Plane.

TypesFitsphere 

Fit Sphere.

TypesFitcylinder 

Fit Cylinder.

TypesFitcone 

Fit Cone.

Member Function Documentation

NXOpen::Expression* NXOpen::Features::FitSurfaceBuilder::AngleValue ( )

Returns the angle is fixed to a specific value
Created in NX8.5.0.



License requirements : None

NXOpen::CoordinateSystem* NXOpen::Features::FitSurfaceBuilder::CoordinateSystem ( )

Returns the coordinate system
Created in NX8.5.0.



License requirements : None

NXOpen::Features::FitSurfaceBuilder::DirectionType NXOpen::Features::FitSurfaceBuilder::DirectionOption ( )

Returns the direction option
Created in NX8.5.0.



License requirements : None

void NXOpen::Features::FitSurfaceBuilder::EditCSYS ( const NXOpen::Point3d originCsys,
const NXOpen::Matrix3x3 matCsys 
)

The edit CSYS for Orientation option
Created in NX8.5.0.



License requirements : None

Parameters
originCsysorigincsys
matCsysmatcsys
bool NXOpen::Features::FitSurfaceBuilder::IsAutomatic ( )

Returns the automatic point rejection
Created in NX8.5.0.



License requirements : None

bool NXOpen::Features::FitSurfaceBuilder::IsBoundary ( )

Returns the boundary will limit or extend to the boundaries
Created in NX8.5.0.



License requirements : None

bool NXOpen::Features::FitSurfaceBuilder::IsClosed ( )

Returns the closed or open surface
Created in NX8.5.0.



License requirements : None

bool NXOpen::Features::FitSurfaceBuilder::IsConstrained ( )

Returns the constraint option
Created in NX8.5.0.



License requirements : None

bool NXOpen::Features::FitSurfaceBuilder::IsHalfAngle ( )

Returns the half angle option
Created in NX8.5.0.



License requirements : None

bool NXOpen::Features::FitSurfaceBuilder::IsMultipleFeatures ( )

Returns the creation of multiple features or single feature
Created in NX10.0.0.



License requirements : None

bool NXOpen::Features::FitSurfaceBuilder::IsRadius ( )

Returns the radius option
Created in NX8.5.0.



License requirements : None

bool NXOpen::Features::FitSurfaceBuilder::IsUniformU ( )

Returns the uniform pathches in U
Created in NX8.5.0.



License requirements : None

bool NXOpen::Features::FitSurfaceBuilder::IsUniformV ( )

Returns the uniform patches in V
Created in NX8.5.0.



License requirements : None

NXOpen::GeometricUtilities::DegreesAndSegmentsOrPatchesBuilder* NXOpen::Features::FitSurfaceBuilder::Parameterization ( )

Returns the parameterization
Created in NX8.5.0.



License requirements : None

NXOpen::Point* NXOpen::Features::FitSurfaceBuilder::Point1 ( )

Returns the first point of the boundary
Created in NX8.5.0.



License requirements : None

NXOpen::Point* NXOpen::Features::FitSurfaceBuilder::Point2 ( )

Returns the second point of the boundary
Created in NX8.5.0.



License requirements : None

NXOpen::Point* NXOpen::Features::FitSurfaceBuilder::Point3 ( )

Returns the third point of the boundary
Created in NX8.5.0.



License requirements : None

NXOpen::Point* NXOpen::Features::FitSurfaceBuilder::Point4 ( )

Returns the fourth point of the boundary
Created in NX8.5.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::FitSurfaceBuilder::RadiusValue ( )

Returns the radius is fixed to a specific value
Created in NX8.5.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::FitSurfaceBuilder::RejectionThresholdValue ( )

Returns the rejection threshold value
Created in NX8.5.0.



License requirements : None

void NXOpen::Features::FitSurfaceBuilder::SetAutomatic ( bool  isAutomatic)

Sets the automatic point rejection
Created in NX8.5.0.



License requirements : nx_freeform_2 ("advanced freeform modeling")

Parameters
isAutomaticisautomatic
void NXOpen::Features::FitSurfaceBuilder::SetBoundary ( bool  isBoundary)

Sets the boundary will limit or extend to the boundaries
Created in NX8.5.0.



License requirements : nx_freeform_2 ("advanced freeform modeling")

Parameters
isBoundaryisboundary
void NXOpen::Features::FitSurfaceBuilder::SetClosed ( bool  isClosed)

Sets the closed or open surface
Created in NX8.5.0.



License requirements : nx_freeform_2 ("advanced freeform modeling")

Parameters
isClosedisclosed
void NXOpen::Features::FitSurfaceBuilder::SetConstrained ( bool  isConstrained)

Sets the constraint option
Created in NX8.5.0.



License requirements : nx_freeform_2 ("advanced freeform modeling")

Parameters
isConstrainedisconstrained
void NXOpen::Features::FitSurfaceBuilder::SetCoordinateSystem ( NXOpen::CoordinateSystem coordSystem)

Sets the coordinate system
Created in NX8.5.0.



License requirements : nx_freeform_2 ("advanced freeform modeling")

Parameters
coordSystemcoordsystem
void NXOpen::Features::FitSurfaceBuilder::SetDirectionOption ( NXOpen::Features::FitSurfaceBuilder::DirectionType  directionOption)

Sets the direction option
Created in NX8.5.0.



License requirements : nx_freeform_2 ("advanced freeform modeling")

Parameters
directionOptiondirectionoption
void NXOpen::Features::FitSurfaceBuilder::SetHalfAngle ( bool  isHalfAngle)

Sets the half angle option
Created in NX8.5.0.



License requirements : nx_freeform_2 ("advanced freeform modeling")

Parameters
isHalfAngleishalfangle
void NXOpen::Features::FitSurfaceBuilder::SetMultipleFeatures ( bool  isMultiFeature)

Sets the creation of multiple features or single feature
Created in NX10.0.0.



License requirements : nx_freeform_2 ("advanced freeform modeling")

Parameters
isMultiFeatureismultifeature
void NXOpen::Features::FitSurfaceBuilder::SetPoint1 ( NXOpen::Point point1)

Sets the first point of the boundary
Created in NX8.5.0.



License requirements : nx_freeform_2 ("advanced freeform modeling")

Parameters
point1point1
void NXOpen::Features::FitSurfaceBuilder::SetPoint2 ( NXOpen::Point point)

Sets the second point of the boundary
Created in NX8.5.0.



License requirements : nx_freeform_2 ("advanced freeform modeling")

Parameters
pointpoint
void NXOpen::Features::FitSurfaceBuilder::SetPoint3 ( NXOpen::Point point)

Sets the third point of the boundary
Created in NX8.5.0.



License requirements : nx_freeform_2 ("advanced freeform modeling")

Parameters
pointpoint
void NXOpen::Features::FitSurfaceBuilder::SetPoint4 ( NXOpen::Point point)

Sets the fourth point of the boundary
Created in NX8.5.0.



License requirements : nx_freeform_2 ("advanced freeform modeling")

Parameters
pointpoint
void NXOpen::Features::FitSurfaceBuilder::SetRadius ( bool  isRadius)

Sets the radius option
Created in NX8.5.0.



License requirements : nx_freeform_2 ("advanced freeform modeling")

Parameters
isRadiusisradius
void NXOpen::Features::FitSurfaceBuilder::SetSmoothFactor ( int  smoothFactor)

Sets the smooth factor influences the smoothness of the surface
Created in NX8.5.0.



License requirements : nx_freeform_2 ("advanced freeform modeling")

Parameters
smoothFactorsmoothfactor
void NXOpen::Features::FitSurfaceBuilder::SetTargetOption ( NXOpen::Features::FitSurfaceBuilder::TargetType  targetOption)

Sets the target option
Created in NX10.0.0.



License requirements : nx_freeform_2 ("advanced freeform modeling")

Parameters
targetOptiontargetoption
void NXOpen::Features::FitSurfaceBuilder::SetType ( NXOpen::Features::FitSurfaceBuilder::Types  type)

Sets the type
Created in NX8.5.0.



License requirements : nx_freeform_2 ("advanced freeform modeling")

Parameters
typetype
void NXOpen::Features::FitSurfaceBuilder::SetUniformU ( bool  isUniform)

Sets the uniform pathches in U
Created in NX8.5.0.



License requirements : nx_freeform_2 ("advanced freeform modeling")

Parameters
isUniformisuniform
void NXOpen::Features::FitSurfaceBuilder::SetUniformV ( bool  isUniform)

Sets the uniform patches in V
Created in NX8.5.0.



License requirements : nx_freeform_2 ("advanced freeform modeling")

Parameters
isUniformisuniform
void NXOpen::Features::FitSurfaceBuilder::SetVector ( NXOpen::Direction vector)

Sets the vector specifies the projection direction
Created in NX8.5.0.



License requirements : nx_freeform_2 ("advanced freeform modeling")

Parameters
vectorvector
void NXOpen::Features::FitSurfaceBuilder::SetVectorConstraint ( NXOpen::Direction vector)

Sets the direction constraint
Created in NX8.5.0.



License requirements : nx_freeform_2 ("advanced freeform modeling")

Parameters
vectorvector
int NXOpen::Features::FitSurfaceBuilder::SmoothFactor ( )

Returns the smooth factor influences the smoothness of the surface
Created in NX8.5.0.



License requirements : None

NXOpen::SelectNXObject* NXOpen::Features::FitSurfaceBuilder::TargetObject ( )

Returns the target object to which the face is fitted to can be a facet body, a convergent object, a point set or a point group

Deprecated:
Deprecated in NX10.0.0.

Use Features::FitSurfaceBuilder::TargetObjects .


Created in NX8.5.0.

License requirements : None

NXOpen::SelectNXObjectList* NXOpen::Features::FitSurfaceBuilder::TargetObjects ( )

Returns the target objects to which the face is fitted to can be a facet body, a point set or a point group
Created in NX10.0.0.



License requirements : None

NXOpen::Features::FitSurfaceBuilder::TargetType NXOpen::Features::FitSurfaceBuilder::TargetOption ( )

Returns the target option
Created in NX10.0.0.



License requirements : None

NXOpen::GeometricUtilities::ColorCodedRegionBuilder* NXOpen::Features::FitSurfaceBuilder::TargetRegion ( )

Returns the target regions which is a color coded region
Created in NX10.0.0.



License requirements : None

NXOpen::Features::FitSurfaceBuilder::Types NXOpen::Features::FitSurfaceBuilder::Type ( )

Returns the type
Created in NX8.5.0.



License requirements : None

NXOpen::Direction* NXOpen::Features::FitSurfaceBuilder::Vector ( )

Returns the vector specifies the projection direction
Created in NX8.5.0.



License requirements : nx_freeform_2 ("advanced freeform modeling")

NXOpen::Direction* NXOpen::Features::FitSurfaceBuilder::VectorConstraint ( )

Returns the direction constraint
Created in NX8.5.0.



License requirements : nx_freeform_2 ("advanced freeform modeling")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.